Question Comment mettre à jour wget vers 1.16 sur WSL?


J'essaie actuellement d'utiliser Bazel sur mon installation WSL, mais je reçois l'erreur:

wget: option non reconnue '--show-progress'   Utilisation: wget [OPTION] ... [URL] ...

Essayez wget --help pour plus d'options.

J'ai fouillé autour et constaté que le --show-progress l'option n'a été ajoutée que dans wget=1.16, et je n'ai que wget=1.15. Je ne sais pas comment je peux mettre à jour à 1.16 cependant.

sudo apt install wget=1.16 échoue en disant que

E: La version '1.16' pour 'wget' n'a pas été trouvée

et apt-cache policy wget ne mentionne rien à propos de rien 1.15:

wget:
  Installed: 1.15-1ubuntu1.14.04.3
  Candidate: 1.15-1ubuntu1.14.04.3
  Version table:
 *** 1.15-1ubuntu1.14.04.3 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ trusty-security/main amd64 Packages
        100 /var/lib/dpkg/status
     1.15-1ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages

Ubuntu est-il compatible avec wget 1.16? Comment est-ce que je peux l'installer? Merci!


1
2017-11-02 05:38


origine


WSL Ubuntu est actuellement 16.04.And 16.04 a 1.17.1. Il suffit de passer à 16.04. - muru
@muru Merci d'avoir répondu! Je viens de le remarquer et j'essaie maintenant. - ifconfig


Réponses: